/*
* Math library
*
* Copyright (C) 2016 Intel Corporation. All rights reserved.
*
* Redistribution and use in source and binary forms, with or without
* modification, are permitted provided that the following conditions
* are met:
*
*   * Redistributions of source code must retain the above copyright
*     notice, this list of conditions and the following disclaimer.
*   * Redistributions in binary form must reproduce the above copyright
*     notice, this list of conditions and the following disclaimer in
*     the documentation and/or other materials provided with the
*     distribution.
*   * Neither the name of Intel Corporation nor the names of its
*     contributors may be used to endorse or promote products derived
*     from this software without specific prior written permission.
*
* THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
* "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
* LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
* A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
* OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
* SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
* LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
* DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
* THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
* (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
* OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
*
* Author Name <jingwei.zhang@intel.com>
*   History:
*   03-14-2016 Initial version. numerics svn rev. 12864
*/
	.file "erfcl.c"
	.text
..TXTST0:
# -- Begin  erfcl
	.text
       .align    16,0x90
	.globl erfcl
erfcl:
# parameter 1: 8 + %ebp
..B1.1:
..L1:

        pushl     %ebp
        movl      %esp, %ebp
        andl      $-16, %esp
        pushl     %esi
        pushl     %edi
        pushl     %ebx
        subl      $164, %esp
        fldt      8(%ebp)
        movl      %gs:20, %eax
        xorl      %esp, %eax
        movl      %eax, 148(%esp)
        fstpt     56(%esp)
..B1.2:
        fnstcw    70(%esp)
..B1.3:
        movzwl    70(%esp), %edx
        movl      %edx, %eax
        andl      $768, %eax
        cmpl      $768, %eax
        je        ..B1.76
..B1.4:
        orl       $-64768, %edx
        movw      %dx, 68(%esp)
..B1.5:
        fldcw     68(%esp)
..B1.6:
        movl      $1, %edx
..B1.7:
        movl      16(%ebp), %eax
        movl      %eax, %esi
        shrl      $15, %esi
        andl      $32767, %eax
        andl      $1, %esi
        call      ..L2
..L2:
        popl      %ebx
        lea       _GLOBAL_OFFSET_TABLE_+[. - ..L2](%ebx), %ebx
        cmpl      $32767, %eax
        je        ..B1.56
..B1.8:
        fldt      8(%ebp)
        fldl      _zeros@GOTOFF(%ebx)
        fucomp    %st(1)
        fnstsw    %ax
        sahf      
        jp        ..B1.9
        je        ..B1.51
..B1.9:
        fldt      _erfcl_RT1@GOTOFF(%ebx)
        fcomp     %st(1)
        fnstsw    %ax
        sahf      
        ja        ..B1.15
        jp        ..B1.15
..B1.10:
        fldt      12+_erfcl_RT1@GOTOFF(%ebx)
        fcomp     %st(1)
        fnstsw    %ax
        sahf      
        jb        ..B1.15
..B1.11:
        fstp      %st(0)
        fldt      _Epsilon@GOTOFF(%ebx)
        testl     %edx, %edx
        fsubrl    _ones@GOTOFF(%ebx)
        fstpt     12(%esp)
        je        ..B1.13
..B1.12:
        fldcw     70(%esp)
..B1.13:
        fldt      12(%esp)
        movl      148(%esp), %eax
        xorl      %esp, %eax
        cmpl      %gs:20, %eax
        jne       ..B1.38
..B1.14:
        addl      $164, %esp
        popl      %ebx
        popl      %edi
        popl      %esi
        movl      %ebp, %esp
        popl      %ebp
        ret       
..B1.15:
        fldl      8+_erfcl_ASYMPT@GOTOFF(%ebx)
        fcomp     %st(1)
        fnstsw    %ax
        sahf      
        jb        ..B1.46
..B1.16:
        fcompl    _erfcl_ASYMPT@GOTOFF(%ebx)
        fnstsw    %ax
        sahf      
        jae       ..B1.21
..B1.17:
        fldt      .L_2il0floatpacket.0@GOTOFF(%ebx)
        testl     %edx, %edx
        fldt      _Epsilon@GOTOFF(%ebx)
        fsubrp    %st, %st(1)
        fstpt     12(%esp)
        je        ..B1.19
..B1.18:
        fldcw     70(%esp)
..B1.19:
        fldt      12(%esp)
        movl      148(%esp), %eax
        xorl      %esp, %eax
        cmpl      %gs:20, %eax
        jne       ..B1.38
..B1.20:
        addl      $164, %esp
        popl      %ebx
        popl      %edi
        popl      %esi
        movl      %ebp, %esp
        popl      %ebp
        ret       
..B1.21:
        fldl      _ones@GOTOFF(%ebx)
        fldt      .L_2il0floatpacket.1@GOTOFF(%ebx)
        andl      $32767, 64(%esp)
        fstpt     24(%esp)
        fldt      24(%esp)
        fldt      56(%esp)
        fld       %st(0)
        fadd      %st(3), %st
        fld       %st(0)
        fmul      %st(1), %st
        fmul      %st(1), %st
        fmulp     %st, %st(1)
        fstpt     12(%esp)
        fld       %st(0)
        fmulp     %st, %st(2)
        fld       %st(0)
        movl      20(%esp), %edi
        fsub      %st(2), %st
        andl      $32767, %edi
        faddp     %st, %st(2)
        fld       %st(1)
        lea       -16383(%edi), %eax
        fmul      %st(2), %st
        movl      %edi, 52(%esp)
        movl      %eax, %edi
        shll      $6, %edi
        fchs      
        fld       %st(1)
        shll      $7, %eax
        fsub      %st(3), %st
        fmul      %st, %st(3)
        addl      %eax, %edi
        fxch      %st(3)
        fchs      
        lea       100(%esp), %eax
        fxch      %st(2)
        fmulp     %st, %st(3)
        fxch      %st(2)
        fsubrp    %st, %st(1)
        fstpt     12(%eax)
        addl      $-16, %esp
        fstpt     (%eax)
        lea       140(%esp), %ecx
        movl      %ecx, (%esp)
        movl      %eax, 4(%esp)
        fstpt     -60(%eax)
        movl      %edx, -64(%eax)
        call      __libm_expl_k80
..B1.79:
        fldt      56(%esp)
        movl      52(%esp), %edx
        addl      $16, %esp
..B1.22:
        fldl      _TWO_63H@GOTOFF(%ebx)
        faddp     %st, %st(2)
        fxch      %st(1)
        fstpt     12(%esp)
        movl      12(%esp), %ecx
        cmpl      $-16300, %ecx
        fstpt     12(%esp)
        fldt      12(%esp)
        jle       ..B1.24
..B1.23:
        fldt      124(%esp)
        addl      $16383, %ecx
        movzwl    20(%esp), %eax
        andl      $32767, %ecx
        andl      $-32768, %eax
        orl       %ecx, %eax
        movw      %ax, 20(%esp)
        lea       136(%esp), %eax
        fldt      (%eax)
        fxch      %st(1)
        jmp       ..B1.25
..B1.24:
        fldl      _TWO_POW_M400@GOTOFF(%ebx)
        fldt      124(%esp)
        movl      %edi, 36(%esp)
        movzwl    20(%esp), %edi
        movl      %edi, %eax
        andl      $-32768, %eax
        fmul      %st(1), %st
        lea       400(%edi,%ecx), %ecx
        andl      $32767, %ecx
        orl       %ecx, %eax
        movw      %ax, 20(%esp)
        lea       136(%esp), %eax
        fldt      (%eax)
        fmulp     %st, %st(2)
        movl      -100(%eax), %edi
..B1.25:
        fldt      24(%esp)
        fld       %st(1)
        fxch      %st(1)
        fmul      %st(2), %st
        fadd      %st, %st(1)
        fsubrp    %st, %st(1)
        fstpt     72(%esp)
        fldt      72(%esp)
        fsubr     %st, %st(1)
        fxch      %st(1)
        faddp     %st, %st(2)
        fxch      %st(1)
        fstpt     (%eax)
        fldt      (%eax)
        fxch      %st(1)
        fstpt     124(%esp)
        fldt      56(%esp)
        fldt      _erfcl_CHDX@GOTOFF(%ebx)
        fcomp     %st(1)
        fnstsw    %ax
        sahf      
        jbe       ..B1.27
..B1.26:
        fldl      _erfcl_DX@GOTOFF(%ebx)
        fld       %st(1)
        fadd      %st(1), %st
        fsubr     %st, %st(1)
        fxch      %st(1)
        fadd      %st(2), %st
        fxch      %st(1)
        jmp       ..B1.28
..B1.27:
        fldl      8+_erfcl_DX@GOTOFF(%ebx)
        fld       %st(1)
        fadd      %st(1), %st
        fld       %st(2)
        fsub      %st(1), %st
        faddp     %st, %st(2)
..B1.28:
        fldt      24(%esp)
        testl     %esi, %esi
        fld       %st(0)
        fld       %st(2)
        fxch      %st(6)
        fstpt     88(%esp)
        fld       %st(2)
        movl      52(%esp), %ecx
        fadd      %st(4), %st
        fdivr     %st(7), %st
        lea       -131064(,%ecx,8), %eax
        fmul      %st, %st(1)
        lea       -65532(%eax,%ecx,4), %eax
        fxch      %st(7)
        fstpt     40(%esp)
        fld       %st(0)
        fadd      %st(7), %st
        fsubp     %st, %st(1)
        fsubr     %st, %st(6)
        fld       %st(2)
        fmul      %st(2), %st
        fadd      %st, %st(6)
        fsubrp    %st, %st(6)
        fxch      %st(2)
        fsub      %st(5), %st
        faddp     %st, %st(3)
        fld       %st(5)
        fmul      %st(3), %st
        fld       %st(2)
        fmul      %st(6), %st
        fxch      %st(3)
        fmul      %st, %st(4)
        fxch      %st(4)
        faddp     %st, %st(1)
        fxch      %st(5)
        fmul      %st(6), %st
        faddp     %st, %st(5)
        fldt      .L_2il0floatpacket.0@GOTOFF(%ebx)
        fld       %st(0)
        fsub      %st(3), %st
        fxch      %st(1)
        fstpt     56(%esp)
        fldt      56(%esp)
        fsub      %st(1), %st
        fsubp     %st, %st(3)
        fxch      %st(5)
        fsubrp    %st, %st(2)
        fld       %st(0)
        fmul      %st(5), %st
        fld       %st(5)
        fadd      %st(1), %st
        fsubp     %st, %st(1)
        fsubr     %st, %st(5)
        fxch      %st(5)
        faddp     %st, %st(2)
        fld       %st(5)
        fmul      %st(2), %st
        fld       %st(3)
        fmul      %st(6), %st
        fxch      %st(3)
        fmulp     %st, %st(4)
        faddp     %st, %st(3)
        fld       %st(0)
        fmul      %st(2), %st
        fxch      %st(5)
        fmulp     %st, %st(6)
        fxch      %st(5)
        faddp     %st, %st(2)
        fld       %st(0)
        fadd      %st(4), %st
        fsubp     %st, %st(4)
        fsub      %st(3), %st
        faddp     %st, %st(1)
        fldt      _erfcl_C@GOTOFF(%eax,%ebx)
        fsubrp    %st, %st(2)
        fld       %st(1)
        fmul      %st(2), %st
        fldt      168+_erfcl_Q@GOTOFF(%ebx,%edi)
        fmul      %st(1), %st
        fldt      144+_erfcl_Q@GOTOFF(%ebx,%edi)
        faddp     %st, %st(1)
        fmul      %st(1), %st
        fldt      120+_erfcl_Q@GOTOFF(%ebx,%edi)
        faddp     %st, %st(1)
        fmul      %st(1), %st
        fldt      96+_erfcl_Q@GOTOFF(%ebx,%edi)
        faddp     %st, %st(1)
        fmul      %st(1), %st
        fldt      72+_erfcl_Q@GOTOFF(%ebx,%edi)
        faddp     %st, %st(1)
        fmul      %st(1), %st
        fldt      48+_erfcl_Q@GOTOFF(%ebx,%edi)
        faddp     %st, %st(1)
        fmul      %st(1), %st
        fldt      24+_erfcl_Q@GOTOFF(%ebx,%edi)
        faddp     %st, %st(1)
        fmul      %st(1), %st
        fldt      _erfcl_Q@GOTOFF(%ebx,%edi)
        faddp     %st, %st(1)
        fldt      180+_erfcl_Q@GOTOFF(%ebx,%edi)
        fmul      %st(2), %st
        fldt      156+_erfcl_Q@GOTOFF(%ebx,%edi)
        faddp     %st, %st(1)
        fmul      %st(2), %st
        fldt      132+_erfcl_Q@GOTOFF(%ebx,%edi)
        faddp     %st, %st(1)
        fmul      %st(2), %st
        fldt      108+_erfcl_Q@GOTOFF(%ebx,%edi)
        faddp     %st, %st(1)
        fmul      %st(2), %st
        fldt      84+_erfcl_Q@GOTOFF(%ebx,%edi)
        faddp     %st, %st(1)
        fmul      %st(2), %st
        fldt      60+_erfcl_Q@GOTOFF(%ebx,%edi)
        faddp     %st, %st(1)
        fmul      %st(2), %st
        fldt      36+_erfcl_Q@GOTOFF(%ebx,%edi)
        faddp     %st, %st(1)
        fmulp     %st, %st(2)
        fldt      12+_erfcl_Q@GOTOFF(%ebx,%edi)
        faddp     %st, %st(2)
        fxch      %st(1)
        fmulp     %st, %st(3)
        faddp     %st, %st(2)
        fld       %st(3)
        fldt      40(%esp)
        fld       %st(0)
        fadd      %st(4), %st
        fmul      %st, %st(2)
        fld       %st(0)
        fadd      %st(3), %st
        fsubp     %st, %st(3)
        fsubr     %st, %st(1)
        fxch      %st(4)
        faddp     %st, %st(1)
        fld       %st(5)
        fxch      %st(2)
        fsubr     %st, %st(4)
        fxch      %st(4)
        faddp     %st, %st(1)
        fldt      88(%esp)
        fldt      _erfcl_S@GOTOFF(%eax,%ebx)
        fmul      %st, %st(5)
        fxch      %st(3)
        fmul      %st(5), %st
        fxch      %st(3)
        fmulp     %st, %st(2)
        fld       %st(4)
        fadd      %st(3), %st
        fsubp     %st, %st(3)
        fxch      %st(2)
        fsubr     %st, %st(4)
        fxch      %st(4)
        faddp     %st, %st(1)
        fldt      72(%esp)
        fld       %st(0)
        fmul      %st(5), %st
        fmul      %st, %st(7)
        fxch      %st(3)
        fmul      %st, %st(5)
        fxch      %st(1)
        fmul      %st(2), %st
        faddp     %st, %st(5)
        fld       %st(2)
        fadd      %st(7), %st
        fsubp     %st, %st(7)
        fxch      %st(2)
        fsub      %st(6), %st
        fxch      %st(2)
        fmulp     %st, %st(1)
        faddp     %st, %st(3)
        faddp     %st, %st(2)
        fld       %st(2)
        fmul      %st(4), %st
        fxch      %st(1)
        fmul      %st, %st(4)
        fxch      %st(2)
        fmul      %st, %st(3)
        fxch      %st(3)
        faddp     %st, %st(4)
        fxch      %st(2)
        fmulp     %st, %st(1)
        faddp     %st, %st(2)
        fldt      12(%esp)
        je        ..B1.30
..B1.29:
        fldt      56(%esp)
        fxch      %st(1)
        fmul      %st, %st(2)
        fmulp     %st, %st(3)
        fld       %st(0)
        fsub      %st(2), %st
        fsubr     %st, %st(1)
        fxch      %st(1)
        fsub      %st(2), %st
        fsub      %st(3), %st
        faddp     %st, %st(1)
        fstpt     12(%esp)
        fldt      12(%esp)
        jmp       ..B1.33
..B1.30:
        fld       %st(1)
        fadd      %st(3), %st
        fmul      %st(1), %st
        fstpt     12(%esp)
        movzwl    20(%esp), %eax
        testl     $32767, %eax
        jne       ..B1.33
..B1.31:
        movzwl    18(%esp), %eax
        testl     %eax, %eax
        jbe       ..B1.33
..B1.32:
        fldt      24(%esp)
        fmul      %st(2), %st
        fld       %st(2)
        fsubr     %st(1), %st
        fsubrp    %st, %st(1)
        fsubr     %st, %st(2)
        fxch      %st(2)
        fadd      %st(3), %st
        fmul      %st(1), %st
        fxch      %st(1)
        fmul      %st, %st(2)
        fxch      %st(1)
        fadd      %st, %st(2)
        fxch      %st(2)
        fstpt     12(%esp)
..B1.33:
        fstp      %st(0)
        fstp      %st(1)
        fstp      %st(0)
        fldt      8(%ebp)
        fldt      _erfcl_UNDERFLOW_INT@GOTOFF(%ebx)
        fcompp    
        fnstsw    %ax
        sahf      
        jp        ..B1.34
        jbe       ..B1.41
..B1.34:
        testl     %edx, %edx
        je        ..B1.36
..B1.35:
        fldcw     70(%esp)
..B1.36:
        fldt      12(%esp)
        movl      148(%esp), %eax
        xorl      %esp, %eax
        cmpl      %gs:20, %eax
        jne       ..B1.38
..B1.37:
        addl      $164, %esp
        popl      %ebx
        popl      %edi
        popl      %esi
        movl      %ebp, %esp
        popl      %ebp
        ret       
..B1.38:
        fstp      %st(0)
        call      __stack_chk_fail@PLT
..B1.41:
        fldt      _small_value_80@GOTOFF(%ebx)
        testl     %edx, %edx
        fmul      %st(0), %st
        fstpt     (%esp)
        je        ..B1.43
..B1.42:
        fldcw     70(%esp)
..B1.43:
        fldt      12(%esp)
        movl      148(%esp), %eax
        xorl      %esp, %eax
        cmpl      %gs:20, %eax
        jne       ..B1.38
        jmp       ..B1.14
..B1.46:
        fstp      %st(0)
        fldt      _Epsilon@GOTOFF(%ebx)
        testl     %edx, %edx
        fmul      %st(0), %st
        fstpt     12(%esp)
        je        ..B1.48
..B1.47:
        fldcw     70(%esp)
..B1.48:
        fldt      12(%esp)
        movl      148(%esp), %eax
        xorl      %esp, %eax
        cmpl      %gs:20, %eax
        jne       ..B1.38
        jmp       ..B1.14
..B1.51:
        fstp      %st(0)
        fldl      _ones@GOTOFF(%ebx)
        testl     %edx, %edx
        fstpt     12(%esp)
        je        ..B1.53
..B1.52:
        fldcw     70(%esp)
..B1.53:
        fldt      12(%esp)
        movl      148(%esp), %eax
        xorl      %esp, %eax
        cmpl      %gs:20, %eax
        jne       ..B1.38
        jmp       ..B1.14
..B1.56:
        movl      12(%ebp), %eax
        testl     %esi, %esi
        jne       ..B1.63
..B1.57:
        cmpl      $-2147483648, %eax
        jne       ..B1.69
..B1.58:
        cmpl      $0, 8(%ebp)
        jne       ..B1.69
..B1.59:
        fldl      _zeros@GOTOFF(%ebx)
        testl     %edx, %edx
        fstpt     12(%esp)
        je        ..B1.61
..B1.60:
        fldcw     70(%esp)
..B1.61:
        fldt      12(%esp)
        movl      148(%esp), %eax
        xorl      %esp, %eax
        cmpl      %gs:20, %eax
        jne       ..B1.38
..B1.62:
        addl      $164, %esp
        popl      %ebx
        popl      %edi
        popl      %esi
        movl      %ebp, %esp
        popl      %ebp
        ret       
..B1.63:
        cmpl      $-2147483648, %eax
        jne       ..B1.69
..B1.64:
        cmpl      $0, 8(%ebp)
        jne       ..B1.69
..B1.65:
        fldt      .L_2il0floatpacket.0@GOTOFF(%ebx)
        testl     %edx, %edx
        fstpt     12(%esp)
        je        ..B1.67
..B1.66:
        fldcw     70(%esp)
..B1.67:
        fldt      12(%esp)
        movl      148(%esp), %eax
        xorl      %esp, %eax
        cmpl      %gs:20, %eax
        jne       ..B1.38
..B1.68:
        addl      $164, %esp
        popl      %ebx
        popl      %edi
        popl      %esi
        movl      %ebp, %esp
        popl      %ebp
        ret       
..B1.69:
        fldt      8(%ebp)
        testl     %edx, %edx
        fmull     _ones@GOTOFF(%ebx)
        fstpt     12(%esp)
        je        ..B1.71
..B1.70:
        fldcw     70(%esp)
..B1.71:
        fldt      12(%esp)
        movl      148(%esp), %eax
        xorl      %esp, %eax
        cmpl      %gs:20, %eax
        jne       ..B1.38
..B1.72:
        addl      $164, %esp
        popl      %ebx
        popl      %edi
        popl      %esi
        movl      %ebp, %esp
        popl      %ebp
        ret       
..B1.76:
        xorl      %edx, %edx
        jmp       ..B1.7
        .align    16,0x90
	.type	erfcl,@function
	.size	erfcl,.-erfcl
	.data
# -- End  erfcl
	.section .rodata, "a"
	.align 16
	.align 16
.L_2il0floatpacket.0:
	.byte	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x00,0x40,0x00,0x00
	.type	.L_2il0floatpacket.0,@object
	.size	.L_2il0floatpacket.0,12
	.space 4, 0x00 	# pad
	.align 16
.L_2il0floatpacket.1:
	.byte	0x00,0x00,0x00,0x40,0x00,0x00,0x00,0x80,0x20,0x40,0x00,0x00
	.type	.L_2il0floatpacket.1,@object
	.size	.L_2il0floatpacket.1,12
	.align 4
_zeros:
	.long	0
	.long	0
	.long	0
	.long	2147483648
	.type	_zeros,@object
	.size	_zeros,16
	.align 4
_ones:
	.long	0
	.long	1072693248
	.long	0
	.long	3220176896
	.type	_ones,@object
	.size	_ones,16
	.align 4
_erfcl_ASYMPT:
	.long	0
	.long	3222929408
	.long	0
	.long	1079689216
	.type	_erfcl_ASYMPT,@object
	.size	_erfcl_ASYMPT,16
	.align 4
_TWO_63H:
	.long	0
	.long	1139277824
	.type	_TWO_63H,@object
	.size	_TWO_63H,8
	.align 4
_TWO_POW_M400:
	.long	0
	.long	653262848
	.type	_TWO_POW_M400,@object
	.size	_TWO_POW_M400,8
	.align 4
_erfcl_DX:
	.long	0
	.long	1072431104
	.long	0
	.long	1071906816
	.type	_erfcl_DX,@object
	.size	_erfcl_DX,16
	.align 2
_erfcl_RT1:
	.word	21820
	.word	42875
	.word	50317
	.word	58079
	.word	49086
	.word	0
	.word	21820
	.word	42875
	.word	50317
	.word	58079
	.word	16317
	.word	0
	.type	_erfcl_RT1,@object
	.size	_erfcl_RT1,24
	.align 2
_Epsilon:
	.word	0
	.word	0
	.word	0
	.word	32768
	.word	1
	.word	0
	.type	_Epsilon,@object
	.size	_Epsilon,12
	.align 2
_erfcl_CHDX:
	.word	54762
	.word	44346
	.word	63893
	.word	44681
	.word	16382
	.word	0
	.type	_erfcl_CHDX,@object
	.size	_erfcl_CHDX,12
	.align 2
_erfcl_C:
	.word	0
	.word	0
	.word	0
	.word	0
	.word	0
	.word	0
	.word	0
	.word	0
	.word	50944
	.word	39545
	.word	16381
	.word	0
	.word	0
	.word	0
	.word	61184
	.word	35913
	.word	16382
	.word	0
	.word	0
	.word	0
	.word	64512
	.word	55108
	.word	16382
	.word	0
	.word	0
	.word	0
	.word	61440
	.word	38967
	.word	16383
	.word	0
	.word	0
	.word	0
	.word	58112
	.word	52540
	.word	16383
	.word	0
	.word	0
	.word	0
	.word	63232
	.word	34340
	.word	16384
	.word	0
	.word	0
	.word	0
	.word	32256
	.word	43938
	.word	16384
	.word	0
	.word	0
	.word	0
	.word	61440
	.word	55351
	.word	16384
	.word	0
	.word	0
	.word	0
	.word	28928
	.word	34462
	.word	16385
	.word	0
	.word	0
	.word	0
	.word	63232
	.word	42532
	.word	16385
	.word	0
	.word	0
	.word	0
	.word	32256
	.word	52130
	.word	16385
	.word	0
	.word	0
	.word	0
	.word	61440
	.word	63543
	.word	16385
	.word	0
	.word	0
	.word	0
	.word	28928
	.word	38558
	.word	16386
	.word	0
	.word	0
	.word	0
	.word	63232
	.word	46628
	.word	16386
	.word	0
	.word	0
	.word	0
	.word	32256
	.word	56226
	.word	16386
	.word	0
	.word	0
	.word	0
	.word	63488
	.word	33819
	.word	16387
	.word	0
	.word	0
	.word	0
	.word	28928
	.word	40606
	.word	16387
	.word	0
	.word	0
	.word	0
	.word	63232
	.word	48676
	.word	16387
	.word	0
	.word	0
	.word	0
	.word	32256
	.word	58274
	.word	16387
	.word	0
	.word	0
	.word	0
	.word	63488
	.word	34843
	.word	16388
	.word	0
	.word	0
	.word	0
	.word	28928
	.word	41630
	.word	16388
	.word	0
	.word	0
	.word	0
	.word	63232
	.word	49700
	.word	16388
	.word	0
	.word	0
	.word	0
	.word	32256
	.word	59298
	.word	16388
	.word	0
	.word	0
	.word	0
	.word	63488
	.word	35355
	.word	16389
	.word	0
	.word	0
	.word	0
	.word	28928
	.word	42142
	.word	16389
	.word	0
	.word	0
	.word	0
	.word	63232
	.word	50212
	.word	16389
	.word	0
	.word	0
	.word	0
	.word	32256
	.word	54690
	.word	16389
	.word	0
	.type	_erfcl_C,@object
	.size	_erfcl_C,336
	.align 2
_erfcl_Q:
	.word	13465
	.word	63964
	.word	23888
	.word	38962
	.word	49066
	.word	0
	.word	56793
	.word	9364
	.word	2074
	.word	60725
	.word	16376
	.word	0
	.word	38094
	.word	52495
	.word	21659
	.word	37955
	.word	49149
	.word	0
	.word	56255
	.word	60659
	.word	19352
	.word	51197
	.word	16381
	.word	0
	.word	38745
	.word	34996
	.word	58130
	.word	47148
	.word	49149
	.word	0
	.word	27061
	.word	31727
	.word	37700
	.word	35458
	.word	16381
	.word	0
	.word	30316
	.word	60982
	.word	15920
	.word	46457
	.word	49148
	.word	0
	.word	52759
	.word	48094
	.word	27926
	.word	54790
	.word	16379
	.word	0
	.word	31704
	.word	15513
	.word	33742
	.word	59335
	.word	49146
	.word	0
	.word	10280
	.word	12123
	.word	40636
	.word	59798
	.word	16377
	.word	0
	.word	55231
	.word	62106
	.word	54809
	.word	56625
	.word	49144
	.word	0
	.word	36666
	.word	22902
	.word	8427
	.word	50746
	.word	16375
	.word	0
	.word	46592
	.word	43726
	.word	50753
	.word	43230
	.word	49142
	.word	0
	.word	64491
	.word	43284
	.word	59259
	.word	34800
	.word	16373
	.word	0
	.word	61229
	.word	19548
	.word	49801
	.word	49926
	.word	49139
	.word	0
	.word	1687
	.word	39069
	.word	16746
	.word	48555
	.word	16369
	.word	0
	.word	55359
	.word	55853
	.word	34963
	.word	33408
	.word	16366
	.word	0
	.word	24851
	.word	44488
	.word	55772
	.word	44700
	.word	49147
	.word	0
	.word	44447
	.word	58130
	.word	38723
	.word	40258
	.word	49147
	.word	0
	.word	1500
	.word	15080
	.word	64595
	.word	34359
	.word	16380
	.word	0
	.word	52078
	.word	14763
	.word	48694
	.word	63117
	.word	49147
	.word	0
	.word	4694
	.word	53159
	.word	65475
	.word	45416
	.word	16379
	.word	0
	.word	37430
	.word	32424
	.word	1930
	.word	56261
	.word	49146
	.word	0
	.word	33679
	.word	45771
	.word	8173
	.word	62515
	.word	16377
	.word	0
	.word	49757
	.word	3681
	.word	5948
	.word	63753
	.word	49144
	.word	0
	.word	9193
	.word	10955
	.word	22026
	.word	60547
	.word	16375
	.word	0
	.word	55541
	.word	20458
	.word	54828
	.word	54096
	.word	49142
	.word	0
	.word	47142
	.word	16345
	.word	20299
	.word	45812
	.word	16373
	.word	0
	.word	29126
	.word	37494
	.word	48225
	.word	36984
	.word	49140
	.word	0
	.word	15107
	.word	34726
	.word	44130
	.word	57191
	.word	16370
	.word	0
	.word	57806
	.word	26620
	.word	53230
	.word	42777
	.word	49137
	.word	0
	.word	45097
	.word	47803
	.word	25447
	.word	61330
	.word	16367
	.word	0
	.word	40016
	.word	15109
	.word	58793
	.word	33461
	.word	16367
	.word	0
	.word	6456
	.word	21547
	.word	27586
	.word	56453
	.word	49147
	.word	0
	.word	5294
	.word	26959
	.word	24309
	.word	57122
	.word	49144
	.word	0
	.word	9256
	.word	20178
	.word	27285
	.word	56054
	.word	16378
	.word	0
	.word	11974
	.word	6713
	.word	58610
	.word	53898
	.word	49146
	.word	0
	.word	56155
	.word	5104
	.word	43351
	.word	37953
	.word	16378
	.word	0
	.word	31236
	.word	18492
	.word	31580
	.word	45205
	.word	49145
	.word	0
	.word	20337
	.word	4737
	.word	24808
	.word	48018
	.word	16376
	.word	0
	.word	43780
	.word	34731
	.word	45426
	.word	46730
	.word	49143
	.word	0
	.word	61467
	.word	48142
	.word	38368
	.word	42346
	.word	16374
	.word	0
	.word	39936
	.word	34435
	.word	51154
	.word	36121
	.word	49141
	.word	0
	.word	41171
	.word	26385
	.word	45942
	.word	58461
	.word	16371
	.word	0
	.word	31471
	.word	18426
	.word	18937
	.word	45145
	.word	49138
	.word	0
	.word	23734
	.word	23053
	.word	7429
	.word	33424
	.word	16369
	.word	0
	.word	28624
	.word	21549
	.word	30360
	.word	48021
	.word	49135
	.word	0
	.word	9108
	.word	57175
	.word	16609
	.word	33031
	.word	16366
	.word	0
	.word	44968
	.word	30293
	.word	53704
	.word	38182
	.word	16364
	.word	0
	.word	63279
	.word	65139
	.word	8683
	.word	42110
	.word	49144
	.word	0
	.word	43283
	.word	52727
	.word	26719
	.word	56933
	.word	49146
	.word	0
	.word	18528
	.word	63869
	.word	40120
	.word	60712
	.word	16378
	.word	0
	.word	28913
	.word	42968
	.word	213
	.word	43569
	.word	49146
	.word	0
	.word	2240
	.word	11347
	.word	26371
	.word	51717
	.word	16377
	.word	0
	.word	7147
	.word	20723
	.word	31050
	.word	54241
	.word	49144
	.word	0
	.word	49648
	.word	51324
	.word	11444
	.word	51872
	.word	16375
	.word	0
	.word	8690
	.word	5809
	.word	9903
	.word	46065
	.word	49142
	.word	0
	.word	1296
	.word	54160
	.word	11620
	.word	38443
	.word	16373
	.word	0
	.word	251
	.word	19098
	.word	34161
	.word	60807
	.word	49139
	.word	0
	.word	46412
	.word	5592
	.word	55877
	.word	45861
	.word	16370
	.word	0
	.word	5959
	.word	21591
	.word	50019
	.word	33145
	.word	49137
	.word	0
	.word	2025
	.word	457
	.word	9244
	.word	46095
	.word	16367
	.word	0
	.word	54038
	.word	55252
	.word	55370
	.word	62518
	.word	49133
	.word	0
	.word	47036
	.word	16304
	.word	12880
	.word	40628
	.word	16364
	.word	0
	.word	18241
	.word	19196
	.word	21406
	.word	57530
	.word	16365
	.word	0
	.word	21199
	.word	5012
	.word	49009
	.word	34179
	.word	49146
	.word	0
	.word	54990
	.word	53386
	.word	65270
	.word	33668
	.word	49145
	.word	0
	.word	28726
	.word	33993
	.word	32251
	.word	45542
	.word	16377
	.word	0
	.word	13837
	.word	35230
	.word	52966
	.word	64362
	.word	49144
	.word	0
	.word	39173
	.word	47380
	.word	34462
	.word	36139
	.word	16376
	.word	0
	.word	39489
	.word	64902
	.word	49120
	.word	35472
	.word	49143
	.word	0
	.word	21714
	.word	58783
	.word	27254
	.word	63315
	.word	16373
	.word	0
	.word	7367
	.word	49518
	.word	65112
	.word	52470
	.word	49140
	.word	0
	.word	43556
	.word	37199
	.word	28377
	.word	40908
	.word	16371
	.word	0
	.word	37864
	.word	51941
	.word	23210
	.word	60543
	.word	49137
	.word	0
	.word	51520
	.word	41236
	.word	58920
	.word	42796
	.word	16368
	.word	0
	.word	27066
	.word	4055
	.word	50549
	.word	58076
	.word	49134
	.word	0
	.word	8077
	.word	7791
	.word	5643
	.word	37977
	.word	16365
	.word	0
	.word	56642
	.word	7120
	.word	1392
	.word	48650
	.word	49131
	.word	0
	.word	33215
	.word	4176
	.word	55081
	.word	59653
	.word	16361
	.word	0
	.word	38962
	.word	43845
	.word	18883
	.word	41782
	.word	16366
	.word	0
	.word	9405
	.word	19610
	.word	41716
	.word	40526
	.word	49146
	.word	0
	.word	22463
	.word	33011
	.word	2834
	.word	59404
	.word	49138
	.word	0
	.word	23962
	.word	42196
	.word	52880
	.word	56044
	.word	16375
	.word	0
	.word	56651
	.word	1819
	.word	25970
	.word	41984
	.word	49143
	.word	0
	.word	36494
	.word	8013
	.word	55275
	.word	45183
	.word	16374
	.word	0
	.word	29601
	.word	10973
	.word	29140
	.word	41460
	.word	49141
	.word	0
	.word	33142
	.word	6988
	.word	53485
	.word	34321
	.word	16372
	.word	0
	.word	42305
	.word	46215
	.word	46985
	.word	52653
	.word	49138
	.word	0
	.word	32750
	.word	12648
	.word	9511
	.word	38000
	.word	16369
	.word	0
	.word	28037
	.word	7223
	.word	39341
	.word	52115
	.word	49135
	.word	0
	.word	43511
	.word	40096
	.word	33119
	.word	34189
	.word	16366
	.word	0
	.word	41081
	.word	59110
	.word	54072
	.word	43128
	.word	49132
	.word	0
	.word	52022
	.word	40239
	.word	12039
	.word	52524
	.word	16362
	.word	0
	.word	9970
	.word	11940
	.word	19019
	.word	62959
	.word	49128
	.word	0
	.word	8444
	.word	14648
	.word	8577
	.word	36069
	.word	16359
	.word	0
	.word	47055
	.word	6244
	.word	23935
	.word	45569
	.word	16364
	.word	0
	.word	17962
	.word	25012
	.word	42920
	.word	38222
	.word	49146
	.word	0
	.word	32361
	.word	55573
	.word	62116
	.word	40518
	.word	16375
	.word	0
	.word	23469
	.word	12285
	.word	11074
	.word	41169
	.word	16373
	.word	0
	.word	29710
	.word	22026
	.word	53610
	.word	45713
	.word	49141
	.word	0
	.word	19101
	.word	51375
	.word	37915
	.word	49464
	.word	16372
	.word	0
	.word	1487
	.word	25012
	.word	26269
	.word	42849
	.word	49139
	.word	0
	.word	24702
	.word	7300
	.word	26639
	.word	32851
	.word	16370
	.word	0
	.word	5625
	.word	62032
	.word	62646
	.word	46360
	.word	49136
	.word	0
	.word	16670
	.word	28857
	.word	9900
	.word	61429
	.word	16366
	.word	0
	.word	46530
	.word	36341
	.word	10884
	.word	38667
	.word	49133
	.word	0
	.word	26979
	.word	7608
	.word	53990
	.word	46612
	.word	16363
	.word	0
	.word	13306
	.word	33772
	.word	42194
	.word	54094
	.word	49129
	.word	0
	.word	5215
	.word	26849
	.word	40637
	.word	60704
	.word	16359
	.word	0
	.word	22157
	.word	10775
	.word	9954
	.word	33697
	.word	49126
	.word	0
	.word	62485
	.word	60905
	.word	33942
	.word	35703
	.word	16356
	.word	0
	.word	47033
	.word	9473
	.word	12114
	.word	36373
	.word	16366
	.word	0
	.word	18718
	.word	57887
	.word	63790
	.word	64802
	.word	49145
	.word	0
	.word	60436
	.word	32137
	.word	16772
	.word	44812
	.word	16375
	.word	0
	.word	22870
	.word	68
	.word	14788
	.word	47045
	.word	49139
	.word	0
	.word	13858
	.word	11038
	.word	51083
	.word	33832
	.word	49139
	.word	0
	.word	24411
	.word	53664
	.word	52423
	.word	44992
	.word	16370
	.word	0
	.word	23130
	.word	50537
	.word	29298
	.word	38364
	.word	49137
	.word	0
	.word	59445
	.word	25072
	.word	42634
	.word	55036
	.word	16367
	.word	0
	.word	27750
	.word	60051
	.word	51021
	.word	35697
	.word	49134
	.word	0
	.word	41673
	.word	42346
	.word	29154
	.word	43180
	.word	16364
	.word	0
	.word	24646
	.word	17588
	.word	60780
	.word	49501
	.word	49130
	.word	0
	.word	30636
	.word	48402
	.word	41439
	.word	54315
	.word	16360
	.word	0
	.word	53530
	.word	51574
	.word	33266
	.word	57402
	.word	49126
	.word	0
	.word	24832
	.word	32214
	.word	6566
	.word	58730
	.word	16356
	.word	0
	.word	57338
	.word	52017
	.word	53845
	.word	59748
	.word	49122
	.word	0
	.word	1236
	.word	12983
	.word	25321
	.word	57902
	.word	16352
	.word	0
	.word	42696
	.word	11590
	.word	13704
	.word	47288
	.word	16367
	.word	0
	.word	20112
	.word	35255
	.word	63039
	.word	51665
	.word	49145
	.word	0
	.word	20272
	.word	45351
	.word	26440
	.word	36407
	.word	16375
	.word	0
	.word	23351
	.word	42139
	.word	19582
	.word	38935
	.word	49140
	.word	0
	.word	65431
	.word	27369
	.word	16464
	.word	36140
	.word	16367
	.word	0
	.word	53584
	.word	5561
	.word	32961
	.word	55717
	.word	16367
	.word	0
	.word	39374
	.word	7231
	.word	45599
	.word	56117
	.word	49134
	.word	0
	.word	1294
	.word	6051
	.word	44462
	.word	39418
	.word	16365
	.word	0
	.word	34729
	.word	52585
	.word	9627
	.word	47645
	.word	49131
	.word	0
	.word	17858
	.word	59905
	.word	65371
	.word	52695
	.word	16361
	.word	0
	.word	43933
	.word	27878
	.word	22295
	.word	54792
	.word	49127
	.word	0
	.word	57164
	.word	8466
	.word	41536
	.word	54342
	.word	16357
	.word	0
	.word	62613
	.word	13809
	.word	4914
	.word	51847
	.word	49123
	.word	0
	.word	51382
	.word	5505
	.word	45058
	.word	47893
	.word	16353
	.word	0
	.word	20574
	.word	54447
	.word	25989
	.word	44189
	.word	49119
	.word	0
	.word	20867
	.word	50041
	.word	5177
	.word	38746
	.word	16349
	.word	0
	.word	51710
	.word	33997
	.word	26466
	.word	39335
	.word	16367
	.word	0
	.word	35180
	.word	39426
	.word	44580
	.word	39632
	.word	49145
	.word	0
	.word	39102
	.word	49560
	.word	46254
	.word	52105
	.word	16374
	.word	0
	.word	49858
	.word	3610
	.word	18403
	.word	60348
	.word	49139
	.word	0
	.word	63577
	.word	52764
	.word	23423
	.word	53731
	.word	16368
	.word	0
	.word	17746
	.word	20210
	.word	17254
	.word	46087
	.word	49131
	.word	0
	.word	57780
	.word	38655
	.word	62917
	.word	51922
	.word	49131
	.word	0
	.word	56818
	.word	27103
	.word	46800
	.word	44610
	.word	16362
	.word	0
	.word	42772
	.word	47939
	.word	39429
	.word	53363
	.word	49128
	.word	0
	.word	7127
	.word	43872
	.word	47188
	.word	55109
	.word	16358
	.word	0
	.word	35603
	.word	15923
	.word	26337
	.word	52288
	.word	49124
	.word	0
	.word	15540
	.word	23148
	.word	44469
	.word	46826
	.word	16354
	.word	0
	.word	38573
	.word	44351
	.word	49528
	.word	40134
	.word	49120
	.word	0
	.word	46922
	.word	10206
	.word	58026
	.word	33232
	.word	16350
	.word	0
	.word	48893
	.word	37264
	.word	47364
	.word	55135
	.word	49115
	.word	0
	.word	34563
	.word	54412
	.word	19025
	.word	43320
	.word	16345
	.word	0
	.word	50485
	.word	58441
	.word	18478
	.word	53939
	.word	16366
	.word	0
	.word	57295
	.word	1543
	.word	39725
	.word	59283
	.word	49144
	.word	0
	.word	61902
	.word	50672
	.word	60234
	.word	34832
	.word	16374
	.word	0
	.word	47445
	.word	686
	.word	22678
	.word	38214
	.word	49139
	.word	0
	.word	38808
	.word	16930
	.word	17219
	.word	37683
	.word	16368
	.word	0
	.word	15851
	.word	55325
	.word	43407
	.word	60214
	.word	49132
	.word	0
	.word	1143
	.word	605
	.word	3834
	.word	44087
	.word	16360
	.word	0
	.word	37926
	.word	51721
	.word	32650
	.word	51423
	.word	16358
	.word	0
	.word	719
	.word	37404
	.word	19156
	.word	44137
	.word	49125
	.word	0
	.word	35866
	.word	56877
	.word	40751
	.word	46818
	.word	16355
	.word	0
	.word	17240
	.word	30023
	.word	36586
	.word	42015
	.word	49121
	.word	0
	.word	54230
	.word	7254
	.word	30602
	.word	34461
	.word	16351
	.word	0
	.word	8012
	.word	12609
	.word	22719
	.word	53286
	.word	49116
	.word	0
	.word	30585
	.word	22802
	.word	38382
	.word	39498
	.word	16346
	.word	0
	.word	49910
	.word	61459
	.word	13066
	.word	58648
	.word	49111
	.word	0
	.word	4234
	.word	29117
	.word	43487
	.word	41014
	.word	16341
	.word	0
	.word	15283
	.word	31
	.word	53183
	.word	37265
	.word	16366
	.word	0
	.word	38704
	.word	430
	.word	57551
	.word	43591
	.word	49144
	.word	0
	.word	53647
	.word	31489
	.word	59377
	.word	44715
	.word	16373
	.word	0
	.word	58843
	.word	40196
	.word	27184
	.word	44045
	.word	49138
	.word	0
	.word	21712
	.word	17792
	.word	22495
	.word	41091
	.word	16367
	.word	0
	.word	4064
	.word	22340
	.word	38581
	.word	35349
	.word	49132
	.word	0
	.word	24218
	.word	42337
	.word	60128
	.word	52640
	.word	16360
	.word	0
	.word	20378
	.word	19984
	.word	2299
	.word	54122
	.word	49124
	.word	0
	.word	31249
	.word	59274
	.word	16273
	.word	55107
	.word	49119
	.word	0
	.word	52834
	.word	54517
	.word	12431
	.word	49909
	.word	16351
	.word	0
	.word	54832
	.word	24393
	.word	30353
	.word	51256
	.word	49117
	.word	0
	.word	65180
	.word	60129
	.word	24669
	.word	41244
	.word	16347
	.word	0
	.word	6591
	.word	13357
	.word	31681
	.word	59287
	.word	49112
	.word	0
	.word	26454
	.word	14700
	.word	42966
	.word	39875
	.word	16342
	.word	0
	.word	2956
	.word	33652
	.word	3414
	.word	53265
	.word	49107
	.word	0
	.word	52370
	.word	22181
	.word	28024
	.word	33144
	.word	16337
	.word	0
	.word	13170
	.word	827
	.word	21750
	.word	47190
	.word	16367
	.word	0
	.word	46086
	.word	34614
	.word	16391
	.word	63371
	.word	49143
	.word	0
	.word	23901
	.word	55438
	.word	56964
	.word	55951
	.word	16372
	.word	0
	.word	6825
	.word	37234
	.word	16184
	.word	48173
	.word	49137
	.word	0
	.word	100
	.word	15349
	.word	44285
	.word	40213
	.word	16366
	.word	0
	.word	46705
	.word	62401
	.word	15619
	.word	64493
	.word	49130
	.word	0
	.word	5832
	.word	45818
	.word	5603
	.word	48870
	.word	16359
	.word	0
	.word	26154
	.word	11509
	.word	12905
	.word	33853
	.word	49124
	.word	0
	.word	57899
	.word	64916
	.word	17522
	.word	39399
	.word	16352
	.word	0
	.word	11797
	.word	62659
	.word	15787
	.word	52982
	.word	49115
	.word	0
	.word	4387
	.word	49305
	.word	27685
	.word	41688
	.word	49112
	.word	0
	.word	8893
	.word	53993
	.word	6961
	.word	62732
	.word	16342
	.word	0
	.word	6561
	.word	49840
	.word	37854
	.word	49392
	.word	49108
	.word	0
	.word	22913
	.word	52496
	.word	16836
	.word	64532
	.word	16337
	.word	0
	.word	61478
	.word	12903
	.word	22917
	.word	40137
	.word	49103
	.word	0
	.word	20254
	.word	5653
	.word	41280
	.word	45163
	.word	16332
	.word	0
	.word	9250
	.word	21583
	.word	29887
	.word	42398
	.word	16367
	.word	0
	.word	21296
	.word	56033
	.word	20302
	.word	45697
	.word	49143
	.word	0
	.word	2595
	.word	14223
	.word	9373
	.word	34428
	.word	16372
	.word	0
	.word	43880
	.word	13192
	.word	17465
	.word	51046
	.word	49136
	.word	0
	.word	10750
	.word	52386
	.word	15061
	.word	37140
	.word	16365
	.word	0
	.word	43380
	.word	26688
	.word	4603
	.word	52842
	.word	49129
	.word	0
	.word	57923
	.word	50589
	.word	40806
	.word	36546
	.word	16358
	.word	0
	.word	41550
	.word	43340
	.word	52700
	.word	48703
	.word	49122
	.word	0
	.word	2829
	.word	50954
	.word	33981
	.word	61546
	.word	16350
	.word	0
	.word	53540
	.word	53334
	.word	26985
	.word	35726
	.word	49115
	.word	0
	.word	1383
	.word	41626
	.word	39002
	.word	35204
	.word	16343
	.word	0
	.word	4988
	.word	17152
	.word	47624
	.word	42298
	.word	49106
	.word	0
	.word	13081
	.word	59676
	.word	51281
	.word	43278
	.word	49102
	.word	0
	.word	20576
	.word	9083
	.word	44900
	.word	60572
	.word	16332
	.word	0
	.word	5241
	.word	64752
	.word	26216
	.word	43285
	.word	49098
	.word	0
	.word	54740
	.word	4493
	.word	22744
	.word	47855
	.word	16327
	.word	0
	.word	43008
	.word	40170
	.word	38190
	.word	50840
	.word	16367
	.word	0
	.word	64000
	.word	51124
	.word	38392
	.word	32771
	.word	49143
	.word	0
	.word	6193
	.word	27449
	.word	18043
	.word	41906
	.word	16371
	.word	0
	.word	55083
	.word	10857
	.word	24850
	.word	53024
	.word	49135
	.word	0
	.word	39204
	.word	24043
	.word	43883
	.word	33151
	.word	16364
	.word	0
	.word	16615
	.word	33399
	.word	37109
	.word	40897
	.word	49128
	.word	0
	.word	45005
	.word	13768
	.word	23576
	.word	49662
	.word	16356
	.word	0
	.word	19875
	.word	47904
	.word	27295
	.word	59169
	.word	49120
	.word	0
	.word	50767
	.word	38341
	.word	26349
	.word	34421
	.word	16349
	.word	0
	.word	61460
	.word	9200
	.word	49063
	.word	38824
	.word	49113
	.word	0
	.word	17698
	.word	13464
	.word	19312
	.word	41938
	.word	16341
	.word	0
	.word	14145
	.word	49711
	.word	41841
	.word	42410
	.word	49105
	.word	0
	.word	52259
	.word	38890
	.word	11861
	.word	38197
	.word	16333
	.word	0
	.word	37928
	.word	15208
	.word	58116
	.word	52459
	.word	49096
	.word	0
	.word	32955
	.word	48671
	.word	55988
	.word	42873
	.word	49084
	.word	0
	.word	10284
	.word	13591
	.word	10015
	.word	45425
	.word	16321
	.word	0
	.word	60165
	.word	7231
	.word	29309
	.word	47020
	.word	16366
	.word	0
	.word	2826
	.word	34241
	.word	10052
	.word	46822
	.word	49142
	.word	0
	.word	38150
	.word	11520
	.word	57874
	.word	50634
	.word	16370
	.word	0
	.word	13154
	.word	32010
	.word	59285
	.word	54374
	.word	49134
	.word	0
	.word	3630
	.word	36258
	.word	15737
	.word	57945
	.word	16362
	.word	0
	.word	33484
	.word	32040
	.word	11194
	.word	61229
	.word	49126
	.word	0
	.word	29890
	.word	19177
	.word	6587
	.word	64088
	.word	16354
	.word	0
	.word	47912
	.word	33375
	.word	45262
	.word	33179
	.word	49119
	.word	0
	.word	35727
	.word	49010
	.word	4249
	.word	33927
	.word	16347
	.word	0
	.word	48287
	.word	11774
	.word	34966
	.word	34177
	.word	49111
	.word	0
	.word	59219
	.word	12218
	.word	14591
	.word	33807
	.word	16339
	.word	0
	.word	45587
	.word	38263
	.word	60150
	.word	65351
	.word	49102
	.word	0
	.word	64248
	.word	19753
	.word	11467
	.word	61248
	.word	16330
	.word	0
	.word	8987
	.word	4417
	.word	35296
	.word	54967
	.word	49094
	.word	0
	.word	58348
	.word	59855
	.word	58179
	.word	46574
	.word	16322
	.word	0
	.word	838
	.word	40288
	.word	16803
	.word	34203
	.word	49086
	.word	0
	.word	19985
	.word	64792
	.word	35689
	.word	34160
	.word	16365
	.word	0
	.word	63242
	.word	24737
	.word	37564
	.word	33357
	.word	49142
	.word	0
	.word	21080
	.word	30395
	.word	32053
	.word	60879
	.word	16369
	.word	0
	.word	31967
	.word	27284
	.word	22818
	.word	55292
	.word	49133
	.word	0
	.word	25886
	.word	29922
	.word	20917
	.word	49964
	.word	16361
	.word	0
	.word	16415
	.word	22145
	.word	37135
	.word	44903
	.word	49125
	.word	0
	.word	60061
	.word	56529
	.word	59607
	.word	40115
	.word	16353
	.word	0
	.word	61716
	.word	63444
	.word	60667
	.word	35604
	.word	49117
	.word	0
	.word	44658
	.word	58531
	.word	9530
	.word	62744
	.word	16344
	.word	0
	.word	62260
	.word	39586
	.word	42345
	.word	54833
	.word	49108
	.word	0
	.word	28253
	.word	12485
	.word	44364
	.word	47473
	.word	16336
	.word	0
	.word	12640
	.word	24607
	.word	1626
	.word	40656
	.word	49100
	.word	0
	.word	34428
	.word	36370
	.word	1024
	.word	34362
	.word	16328
	.word	0
	.word	29040
	.word	20316
	.word	63988
	.word	57186
	.word	49091
	.word	0
	.word	56625
	.word	35023
	.word	4494
	.word	47694
	.word	16319
	.word	0
	.word	12074
	.word	64589
	.word	55447
	.word	37930
	.word	49083
	.word	0
	.word	50967
	.word	1382
	.word	5204
	.word	52101
	.word	16367
	.word	0
	.word	3284
	.word	33134
	.word	2262
	.word	47439
	.word	49141
	.word	0
	.word	46363
	.word	11691
	.word	13356
	.word	36476
	.word	16369
	.word	0
	.word	3419
	.word	29155
	.word	56063
	.word	55913
	.word	49132
	.word	0
	.word	46070
	.word	27060
	.word	45787
	.word	42709
	.word	16360
	.word	0
	.word	48455
	.word	49617
	.word	63339
	.word	65012
	.word	49123
	.word	0
	.word	11309
	.word	38321
	.word	50476
	.word	49291
	.word	16351
	.word	0
	.word	63177
	.word	54179
	.word	19446
	.word	37218
	.word	49115
	.word	0
	.word	17008
	.word	20702
	.word	63396
	.word	55953
	.word	16342
	.word	0
	.word	58916
	.word	21526
	.word	44533
	.word	41856
	.word	49106
	.word	0
	.word	4054
	.word	60910
	.word	64524
	.word	62288
	.word	16333
	.word	0
	.word	572
	.word	56463
	.word	6651
	.word	46074
	.word	49097
	.word	0
	.word	294
	.word	32916
	.word	12940
	.word	33845
	.word	16325
	.word	0
	.word	61241
	.word	23461
	.word	12133
	.word	49362
	.word	49088
	.word	0
	.word	43813
	.word	54697
	.word	47595
	.word	36628
	.word	16316
	.word	0
	.word	7023
	.word	63196
	.word	1211
	.word	52552
	.word	49079
	.word	0
	.word	49710
	.word	23216
	.word	57316
	.word	57937
	.word	16366
	.word	0
	.word	16917
	.word	54685
	.word	15559
	.word	33684
	.word	49141
	.word	0
	.word	19402
	.word	20755
	.word	35177
	.word	43607
	.word	16368
	.word	0
	.word	18988
	.word	7708
	.word	26373
	.word	56330
	.word	49131
	.word	0
	.word	31678
	.word	36048
	.word	15370
	.word	36299
	.word	16359
	.word	0
	.word	62053
	.word	9463
	.word	59420
	.word	46669
	.word	49122
	.word	0
	.word	43189
	.word	37083
	.word	47017
	.word	59851
	.word	16349
	.word	0
	.word	56431
	.word	23594
	.word	54456
	.word	38275
	.word	49113
	.word	0
	.word	57207
	.word	5358
	.word	61057
	.word	48816
	.word	16340
	.word	0
	.word	55955
	.word	61547
	.word	7096
	.word	62073
	.word	49103
	.word	0
	.word	38324
	.word	43297
	.word	2038
	.word	39337
	.word	16331
	.word	0
	.word	48019
	.word	63539
	.word	58854
	.word	49683
	.word	49094
	.word	0
	.word	38415
	.word	45891
	.word	48038
	.word	62495
	.word	16321
	.word	0
	.word	6285
	.word	58141
	.word	38062
	.word	39153
	.word	49085
	.word	0
	.word	8535
	.word	47970
	.word	20521
	.word	50223
	.word	16312
	.word	0
	.word	3599
	.word	31205
	.word	53376
	.word	62523
	.word	49075
	.word	0
	.word	53390
	.word	39428
	.word	31508
	.word	33365
	.word	16367
	.word	0
	.word	24907
	.word	1998
	.word	17203
	.word	47787
	.word	49140
	.word	0
	.word	65154
	.word	44054
	.word	55771
	.word	52050
	.word	16367
	.word	0
	.word	59345
	.word	56252
	.word	17241
	.word	56609
	.word	49130
	.word	0
	.word	21068
	.word	33081
	.word	36502
	.word	61470
	.word	16357
	.word	0
	.word	5838
	.word	32265
	.word	27141
	.word	33320
	.word	49121
	.word	0
	.word	13157
	.word	36097
	.word	56398
	.word	36061
	.word	16348
	.word	0
	.word	34641
	.word	3406
	.word	61161
	.word	38959
	.word	49111
	.word	0
	.word	36822
	.word	2107
	.word	7812
	.word	42013
	.word	16338
	.word	0
	.word	57689
	.word	7026
	.word	46609
	.word	45217
	.word	49101
	.word	0
	.word	65442
	.word	46672
	.word	32230
	.word	48567
	.word	16328
	.word	0
	.word	38794
	.word	56166
	.word	59740
	.word	52052
	.word	49091
	.word	0
	.word	7020
	.word	42539
	.word	58408
	.word	55641
	.word	16318
	.word	0
	.word	5792
	.word	16154
	.word	40642
	.word	59348
	.word	49081
	.word	0
	.word	45758
	.word	39239
	.word	10684
	.word	64996
	.word	16308
	.word	0
	.word	17135
	.word	25280
	.word	14240
	.word	34593
	.word	49072
	.word	0
	.word	22956
	.word	27174
	.word	6236
	.word	35739
	.word	16367
	.word	0
	.word	41448
	.word	9608
	.word	15061
	.word	33872
	.word	49140
	.word	0
	.word	35041
	.word	22115
	.word	31787
	.word	62060
	.word	16366
	.word	0
	.word	47943
	.word	57954
	.word	5630
	.word	56794
	.word	49129
	.word	0
	.word	12256
	.word	51468
	.word	48243
	.word	51918
	.word	16356
	.word	0
	.word	16861
	.word	555
	.word	19712
	.word	47409
	.word	49119
	.word	0
	.word	14521
	.word	28998
	.word	64476
	.word	43241
	.word	16346
	.word	0
	.word	42742
	.word	52364
	.word	18112
	.word	39394
	.word	49109
	.word	0
	.word	11937
	.word	57143
	.word	59317
	.word	35844
	.word	16336
	.word	0
	.word	54775
	.word	41142
	.word	37066
	.word	65147
	.word	49098
	.word	0
	.word	52047
	.word	20166
	.word	2989
	.word	59124
	.word	16325
	.word	0
	.word	63890
	.word	14576
	.word	19973
	.word	53583
	.word	49088
	.word	0
	.word	51017
	.word	21644
	.word	32682
	.word	48474
	.word	16315
	.word	0
	.word	14951
	.word	9527
	.word	54932
	.word	43797
	.word	49078
	.word	0
	.word	19956
	.word	63323
	.word	21590
	.word	40697
	.word	16305
	.word	0
	.word	13287
	.word	59412
	.word	52293
	.word	36781
	.word	49068
	.word	0
	.word	20654
	.word	3963
	.word	37243
	.word	46202
	.word	16367
	.word	0
	.word	14259
	.word	41161
	.word	56379
	.word	47991
	.word	49139
	.word	0
	.word	29552
	.word	20159
	.word	19967
	.word	36969
	.word	16366
	.word	0
	.word	36671
	.word	37033
	.word	31146
	.word	56915
	.word	49128
	.word	0
	.word	40096
	.word	16159
	.word	8745
	.word	43779
	.word	16355
	.word	0
	.word	31426
	.word	40251
	.word	6629
	.word	33649
	.word	49118
	.word	0
	.word	62460
	.word	14572
	.word	46922
	.word	51685
	.word	16344
	.word	0
	.word	21330
	.word	50824
	.word	20752
	.word	39663
	.word	49107
	.word	0
	.word	59043
	.word	6300
	.word	36178
	.word	60824
	.word	16333
	.word	0
	.word	11117
	.word	55297
	.word	15596
	.word	46598
	.word	49096
	.word	0
	.word	52972
	.word	24185
	.word	7857
	.word	35668
	.word	16323
	.word	0
	.word	48165
	.word	35957
	.word	4973
	.word	54554
	.word	49085
	.word	0
	.word	40559
	.word	40135
	.word	50657
	.word	41665
	.word	16312
	.word	0
	.word	22209
	.word	12399
	.word	38770
	.word	63599
	.word	49074
	.word	0
	.word	21134
	.word	56966
	.word	28654
	.word	49967
	.word	16301
	.word	0
	.word	55252
	.word	38724
	.word	60696
	.word	38196
	.word	49064
	.word	0
	.word	50324
	.word	38050
	.word	41691
	.word	52128
	.word	16367
	.word	0
	.word	57576
	.word	19017
	.word	35093
	.word	33984
	.word	49139
	.word	0
	.word	45261
	.word	53464
	.word	26203
	.word	44021
	.word	16365
	.word	0
	.word	59506
	.word	58350
	.word	50456
	.word	56993
	.word	49127
	.word	0
	.word	39656
	.word	29013
	.word	30706
	.word	36875
	.word	16354
	.word	0
	.word	15950
	.word	25278
	.word	29858
	.word	47692
	.word	49116
	.word	0
	.word	44951
	.word	52254
	.word	26639
	.word	61649
	.word	16342
	.word	0
	.word	14884
	.word	15288
	.word	36355
	.word	39823
	.word	49105
	.word	0
	.word	33589
	.word	37339
	.word	42662
	.word	51420
	.word	16331
	.word	0
	.word	59837
	.word	52901
	.word	27833
	.word	33178
	.word	49094
	.word	0
	.word	23530
	.word	8792
	.word	46326
	.word	42790
	.word	16320
	.word	0
	.word	22918
	.word	41993
	.word	30280
	.word	55154
	.word	49082
	.word	0
	.word	22935
	.word	40180
	.word	10208
	.word	35510
	.word	16309
	.word	0
	.word	24655
	.word	6092
	.word	5569
	.word	45708
	.word	49071
	.word	0
	.word	1836
	.word	9946
	.word	17030
	.word	60600
	.word	16297
	.word	0
	.word	58034
	.word	64044
	.word	12732
	.word	39095
	.word	49060
	.word	0
	.word	54043
	.word	4884
	.word	4993
	.word	50896
	.word	16365
	.word	0
	.word	52175
	.word	36282
	.word	1403
	.word	48115
	.word	49138
	.word	0
	.word	8979
	.word	278
	.word	60581
	.word	52397
	.word	16364
	.word	0
	.word	62427
	.word	36042
	.word	64958
	.word	57041
	.word	49126
	.word	0
	.word	22617
	.word	56486
	.word	29933
	.word	62075
	.word	16352
	.word	0
	.word	6668
	.word	34800
	.word	16726
	.word	33764
	.word	49115
	.word	0
	.word	58438
	.word	34332
	.word	45904
	.word	36716
	.word	16341
	.word	0
	.word	64514
	.word	12491
	.word	17770
	.word	39912
	.word	49103
	.word	0
	.word	38781
	.word	4147
	.word	20350
	.word	43369
	.word	16329
	.word	0
	.word	11653
	.word	23288
	.word	23101
	.word	47107
	.word	49091
	.word	0
	.word	24538
	.word	52112
	.word	19258
	.word	51147
	.word	16317
	.word	0
	.word	55081
	.word	11864
	.word	2795
	.word	55511
	.word	49079
	.word	0
	.word	30359
	.word	7516
	.word	42523
	.word	60199
	.word	16305
	.word	0
	.word	51632
	.word	54516
	.word	60788
	.word	65273
	.word	49067
	.word	0
	.word	8259
	.word	26817
	.word	16640
	.word	36463
	.word	16294
	.word	0
	.word	25358
	.word	21633
	.word	63088
	.word	39650
	.word	49056
	.word	0
	.word	37940
	.word	45084
	.word	22741
	.word	53976
	.word	16366
	.word	0
	.word	56905
	.word	35663
	.word	13071
	.word	34053
	.word	49138
	.word	0
	.word	6338
	.word	45524
	.word	29128
	.word	62353
	.word	16363
	.word	0
	.word	53870
	.word	55231
	.word	26051
	.word	57072
	.word	49125
	.word	0
	.word	25356
	.word	27338
	.word	39402
	.word	52225
	.word	16351
	.word	0
	.word	53832
	.word	61470
	.word	21273
	.word	47778
	.word	49113
	.word	0
	.word	58577
	.word	63695
	.word	35460
	.word	43698
	.word	16339
	.word	0
	.word	4520
	.word	44723
	.word	47409
	.word	39956
	.word	49101
	.word	0
	.word	1812
	.word	29018
	.word	42821
	.word	36525
	.word	16327
	.word	0
	.word	59061
	.word	29228
	.word	16191
	.word	33380
	.word	49089
	.word	0
	.word	39396
	.word	18010
	.word	60638
	.word	60994
	.word	16314
	.word	0
	.word	49088
	.word	9900
	.word	51011
	.word	55711
	.word	49076
	.word	0
	.word	37150
	.word	50516
	.word	56492
	.word	50852
	.word	16302
	.word	0
	.word	28484
	.word	40361
	.word	52896
	.word	46416
	.word	49064
	.word	0
	.word	62255
	.word	31126
	.word	18737
	.word	43665
	.word	16290
	.word	0
	.word	12057
	.word	58357
	.word	2287
	.word	39984
	.word	49052
	.word	0
	.word	10303
	.word	34822
	.word	30753
	.word	42638
	.word	16367
	.word	0
	.word	35383
	.word	38620
	.word	16953
	.word	48193
	.word	49137
	.word	0
	.word	33393
	.word	6703
	.word	23267
	.word	37093
	.word	16363
	.word	0
	.word	15343
	.word	55882
	.word	8818
	.word	57090
	.word	49124
	.word	0
	.word	43704
	.word	64267
	.word	56511
	.word	43925
	.word	16350
	.word	0
	.word	4607
	.word	47760
	.word	9543
	.word	33791
	.word	49112
	.word	0
	.word	56389
	.word	24814
	.word	13621
	.word	51980
	.word	16337
	.word	0
	.word	53957
	.word	28278
	.word	52920
	.word	39972
	.word	49099
	.word	0
	.word	44558
	.word	56829
	.word	64035
	.word	61466
	.word	16324
	.word	0
	.word	38720
	.word	53021
	.word	48635
	.word	47250
	.word	49086
	.word	0
	.word	44746
	.word	16730
	.word	48948
	.word	36315
	.word	16312
	.word	0
	.word	35899
	.word	1861
	.word	5901
	.word	55812
	.word	49073
	.word	0
	.word	22074
	.word	38313
	.word	14608
	.word	42863
	.word	16299
	.word	0
	.word	55515
	.word	23576
	.word	64018
	.word	32920
	.word	49061
	.word	0
	.word	12839
	.word	2194
	.word	19804
	.word	52126
	.word	16286
	.word	0
	.word	11439
	.word	41150
	.word	15351
	.word	40172
	.word	49048
	.word	0
	.word	29431
	.word	9874
	.word	45662
	.word	49530
	.word	16366
	.word	0
	.word	65266
	.word	58931
	.word	1289
	.word	34097
	.word	49137
	.word	0
	.word	37900
	.word	52013
	.word	19533
	.word	44126
	.word	16362
	.word	0
	.word	56648
	.word	29183
	.word	44293
	.word	57098
	.word	49123
	.word	0
	.word	6159
	.word	2813
	.word	55364
	.word	36937
	.word	16349
	.word	0
	.word	43479
	.word	31839
	.word	13895
	.word	47785
	.word	49110
	.word	0
	.word	5187
	.word	20139
	.word	24873
	.word	61810
	.word	16335
	.word	0
	.word	122
	.word	12763
	.word	63612
	.word	39970
	.word	49097
	.word	0
	.word	44050
	.word	14658
	.word	36451
	.word	51689
	.word	16322
	.word	0
	.word	25644
	.word	4873
	.word	38936
	.word	33417
	.word	49084
	.word	0
	.word	47798
	.word	57836
	.word	54492
	.word	43203
	.word	16309
	.word	0
	.word	13594
	.word	52300
	.word	36178
	.word	55848
	.word	49070
	.word	0
	.word	62324
	.word	37045
	.word	44215
	.word	36078
	.word	16296
	.word	0
	.word	9408
	.word	55695
	.word	35369
	.word	46620
	.word	49057
	.word	0
	.word	55933
	.word	58459
	.word	63135
	.word	62102
	.word	16282
	.word	0
	.word	9035
	.word	28599
	.word	9663
	.word	40267
	.word	49044
	.word	0
	.word	64440
	.word	9942
	.word	11459
	.word	51063
	.word	16366
	.word	0
	.word	54621
	.word	1381
	.word	54593
	.word	57593
	.word	49136
	.word	0
	.word	57672
	.word	22144
	.word	48770
	.word	34240
	.word	16362
	.word	0
	.word	41335
	.word	40315
	.word	35384
	.word	40709
	.word	49123
	.word	0
	.word	44154
	.word	2667
	.word	29983
	.word	48395
	.word	16348
	.word	0
	.word	11933
	.word	28752
	.word	33333
	.word	57526
	.word	49109
	.word	0
	.word	28038
	.word	64578
	.word	40018
	.word	34186
	.word	16335
	.word	0
	.word	37517
	.word	65009
	.word	17291
	.word	40628
	.word	49096
	.word	0
	.word	55118
	.word	35846
	.word	36301
	.word	48278
	.word	16321
	.word	0
	.word	8485
	.word	24440
	.word	14912
	.word	57363
	.word	49082
	.word	0
	.word	32377
	.word	28880
	.word	65211
	.word	34074
	.word	16308
	.word	0
	.word	34616
	.word	16831
	.word	8616
	.word	40478
	.word	49069
	.word	0
	.word	8999
	.word	50919
	.word	12017
	.word	48079
	.word	16294
	.word	0
	.word	35787
	.word	61739
	.word	12812
	.word	57101
	.word	49055
	.word	0
	.word	44504
	.word	58876
	.word	42861
	.word	33904
	.word	16281
	.word	0
	.word	47876
	.word	27247
	.word	49503
	.word	40257
	.word	49042
	.word	0
	.type	_erfcl_Q,@object
	.size	_erfcl_Q,5376
	.align 2
_erfcl_S:
	.word	0
	.word	0
	.word	0
	.word	57344
	.word	16382
	.word	0
	.word	0
	.word	0
	.word	0
	.word	56559
	.word	16382
	.word	0
	.word	0
	.word	0
	.word	0
	.word	55197
	.word	16382
	.word	0
	.word	0
	.word	0
	.word	0
	.word	45662
	.word	16382
	.word	0
	.word	0
	.word	0
	.word	0
	.word	45290
	.word	16382
	.word	0
	.word	0
	.word	0
	.word	0
	.word	44607
	.word	16382
	.word	0
	.word	0
	.word	0
	.word	0
	.word	43781
	.word	16382
	.word	0
	.word	0
	.word	0
	.word	0
	.word	42924
	.word	16382
	.word	0
	.word	0
	.word	0
	.word	0
	.word	42104
	.word	16382
	.word	0
	.word	0
	.word	0
	.word	0
	.word	41357
	.word	16382
	.word	0
	.word	0
	.word	0
	.word	0
	.word	40696
	.word	16382
	.word	0
	.word	0
	.word	0
	.word	0
	.word	40122
	.word	16382
	.word	0
	.word	0
	.word	0
	.word	0
	.word	39629
	.word	16382
	.word	0
	.word	0
	.word	0
	.word	0
	.word	39210
	.word	16382
	.word	0
	.word	0
	.word	0
	.word	0
	.word	38855
	.word	16382
	.word	0
	.word	0
	.word	0
	.word	0
	.word	38556
	.word	16382
	.word	0
	.word	0
	.word	0
	.word	0
	.word	38304
	.word	16382
	.word	0
	.word	0
	.word	0
	.word	0
	.word	38091
	.word	16382
	.word	0
	.word	0
	.word	0
	.word	0
	.word	37913
	.word	16382
	.word	0
	.word	0
	.word	0
	.word	0
	.word	37763
	.word	16382
	.word	0
	.word	0
	.word	0
	.word	0
	.word	37637
	.word	16382
	.word	0
	.word	0
	.word	0
	.word	0
	.word	37531
	.word	16382
	.word	0
	.word	0
	.word	0
	.word	0
	.word	37442
	.word	16382
	.word	0
	.word	0
	.word	0
	.word	0
	.word	37368
	.word	16382
	.word	0
	.word	0
	.word	0
	.word	0
	.word	37305
	.word	16382
	.word	0
	.word	0
	.word	0
	.word	0
	.word	37252
	.word	16382
	.word	0
	.word	0
	.word	0
	.word	0
	.word	37208
	.word	16382
	.word	0
	.word	0
	.word	0
	.word	0
	.word	37189
	.word	16382
	.word	0
	.type	_erfcl_S,@object
	.size	_erfcl_S,336
	.align 2
_erfcl_UNDERFLOW_INT:
	.word	42217
	.word	46880
	.word	24677
	.word	54546
	.word	16389
	.word	0
	.type	_erfcl_UNDERFLOW_INT,@object
	.size	_erfcl_UNDERFLOW_INT,12
	.align 2
_small_value_80:
	.word	0
	.word	0
	.word	0
	.word	32768
	.word	6383
	.word	0
	.word	0
	.word	0
	.word	0
	.word	32768
	.word	39151
	.word	0
	.type	_small_value_80,@object
	.size	_small_value_80,24
	.data
	.hidden __libm_expl_k80
	.section .note.GNU-stack, ""
# End
